package CRSDK;

@SuppressWarnings("unused")
public enum CrJpegQuality {
    CrJpegQuality_Unknown (0x0000),
    CrJpegQuality_Light (CrJpegQuality_Unknown.getValue()+1),
    CrJpegQuality_Standard (CrJpegQuality_Unknown.getValue()+2),
    CrJpegQuality_Fine (CrJpegQuality_Unknown.getValue()+3),
    CrJpegQuality_ExFine (CrJpegQuality_Unknown.getValue()+4);

    private final CrInt16u value;
    CrJpegQuality(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
